import bb.cascades 1.2

	Page {
	    titleBar: TitleBar {
	        title: "Help"
	
	    }
	    id: mainpage
	    Container {
	
	        Container {
	            layout: DockLayout {
	            }
	            topPadding: 10
	            preferredHeight: 50
	            leftPadding: 30
	            rightPadding: 30
	            horizontalAlignment: HorizontalAlignment.Fill
	            verticalAlignment: VerticalAlignment.Center
	            onTouch: {
	                if (event.isDown())
	                {
                        _mainApp.do_help(0)
		            }
	            }
	            Label {
	                text: "What is GeoToolBox?"
	                horizontalAlignment: HorizontalAlignment.Left
	            }
	            Label {
	                rightPadding: 30
	                text: ">"
	                horizontalAlignment: HorizontalAlignment.Right
	                textStyle.fontSize: FontSize.Large
	            }
	        }
	        Divider {            
	        }

            Container {
                layout: DockLayout {
                }
                preferredHeight: 50
                leftPadding: 30
                rightPadding: 30
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Center
                onTouch: {
                    if (event.isDown())
                    {
                        _mainApp.do_help(1)
                    }
                }
                Label {
                    text: "What are Templates?"
                    horizontalAlignment: HorizontalAlignment.Left
                }
                Label {
                    rightPadding: 30
                    text: ">"
                    horizontalAlignment: HorizontalAlignment.Right
                    textStyle.fontSize: FontSize.Large
                }
            }
            Divider {            
            }

            Container {
                layout: DockLayout {
                }
                preferredHeight: 50
                leftPadding: 30
                rightPadding: 30
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Center
                onTouch: {
                    if (event.isDown())
                    {
                        _mainApp.do_help(2)
                    }
                }
                Label {
                    text: "How do I Setup a Location?"
                    horizontalAlignment: HorizontalAlignment.Left
                }
                Label {
                    rightPadding: 30
                    text: ">"
                    horizontalAlignment: HorizontalAlignment.Right
                    textStyle.fontSize: FontSize.Large
                }
            }
            Divider {            
            }

            Container {
                layout: DockLayout {
                }
                preferredHeight: 50
                leftPadding: 30
                rightPadding: 30
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Center
                onTouch: {
                    if (event.isDown())
                    {
                        _mainApp.do_help(6)
                    }
                }
                Label {
                    text: "When I enter or leave nothing happens"
                    horizontalAlignment: HorizontalAlignment.Left
                }
                Label {
                    rightPadding: 30
                    text: ">"
                    horizontalAlignment: HorizontalAlignment.Right
                    textStyle.fontSize: FontSize.Large
                }
            }
            Divider {            
            }

            Container {
                layout: DockLayout {
                }
                preferredHeight: 50
                leftPadding: 30
                rightPadding: 30
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Center
                onTouch: {
                    if (event.isDown())
                    {
                        _mainApp.do_help(3)
                    }
                }
                Label {
                    text: "GeoToolBox Permissions"
                    horizontalAlignment: HorizontalAlignment.Left
                    multiline: true
                }
                Label {
                    rightPadding: 30
                    text: ">"
                    horizontalAlignment: HorizontalAlignment.Right
                    textStyle.fontSize: FontSize.Large
                }
            }
            Divider {            
            }

            Container {
                layout: DockLayout {
                }
                preferredHeight: 50
                leftPadding: 30
                rightPadding: 30
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Center
                onTouch: {
                    if (event.isDown())
                    {
                        _mainApp.do_help(4)
                    }
                }
                Label {
                    text: "Privacy Policy"
                    horizontalAlignment: HorizontalAlignment.Left
                    multiline: true
                }
                Label {
                    rightPadding: 30
                    text: ">"
                    horizontalAlignment: HorizontalAlignment.Right
                    textStyle.fontSize: FontSize.Large
                }
            }

			Divider {
       
       		}
            Container {
                layout: DockLayout {
                }
                preferredHeight: 50
                leftPadding: 30
                rightPadding: 30
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Center
                onTouch: {
                    if (event.isDown())
                    {
                        _mainApp.do_help(5)
                    }
                }
                Label {
                    text: "About"
                    horizontalAlignment: HorizontalAlignment.Left
                    multiline: true
                }
                Label {
                    rightPadding: 30
                    text: ">"
                    horizontalAlignment: HorizontalAlignment.Right
                    textStyle.fontSize: FontSize.Large
                }
            }
            Divider {
            
            }
	        
	    } // container
	    
	    
	    
	    attachedObjects: [
	        ComponentDefinition {
	            id: helpPage
	        },

            Invocation
            {
                id: invokewebsite
                query.mimeType: "text/html"
                query.uri: "http://www.toysoft.ca/"
                query.invokeActionId: "bb.action.OPEN"
            
            },
            
            Invocation
            {
                id: invokeappworld
                query.mimeType: "application/x-bb-appworld"
                query.uri: "appworld://vendor/184"
                query.invokeActionId: "bb.action.OPEN"
            
            }
	    
	    ]
	
        actions: [

            
            ActionItem {
                title: "More Apps"
                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_moreapps.png"
                onTriggered: {
                    invokeappworld.trigger("bb.action.OPEN")
                }
            },
            
            ActionItem {
                title: "Invite"
                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_bbm.png"
                
                onTriggered: {
                    _mainApp.invitedownload()
                }
            }
        
        ]
	
	
	} // page

