import bb.cascades 1.2

Page {
    titleBar: TitleBar {
        title: "Actions not applied"
    
    }
    ScrollView {
        
        Container {
            leftPadding: 10
            rightPadding: 10
            
            Container {
                Label {
                    textFormat: TextFormat.Html
                    text: "\n<b>When I enter or leave a location the Actions are not applied.</b>\n\nMake sure you check the following:\n"
                    multiline: true
                }
            }
            
            
            Container {
                leftPadding: 50
                Label {
                    textFormat: TextFormat.Html
                    text: "• Permissions are set to Allow in the <b>Settings->Security Privacy->Application Permissions</b> application for GeoToolBox\n\n• The GPS coordinates and Radius are correctly set\n\n• GPS is available\n\n• Reset your BlackBerry in order for the Permissions to take effect"
                    multiline: true
                }
            }
            
            Container {
                Label {
                    textFormat: TextFormat.Html
                    text: "\nWhen you enter or leave a location GeoToolBox will not instantly apply the actions.  It waits for the BlackBerryOS to send the event.  Sometimes it may take up to 15 minutes to get the GPS location.\n\nThe best is to enable the Vibrate or a Tone in the Location setup.  This will give you feedback when the action is applied."
                    multiline: true
                }
            }
        
        }
    }
}
