import bb.cascades 1.0


Page {
    id: sheetModify
    
    objectName: "page"
    
    titleBar: TitleBar {
        id: addBar
        title: "Manage Templates"
        visibility: ChromeVisibility.Visible
        objectName: "title_bar"
    
    }// titleBar
    
    
    actions: [
        ActionItem {
            title: qsTr("New")
            ActionBar.placement: ActionBarPlacement.OnBar
            imageSource: "asset:///images/ic_add.png"
            onTriggered: {
                _manage_template.newTemplate(-1);
            }
        }
    ]

    Container
    {
        layout: DockLayout {
        }
        
        horizontalAlignment: HorizontalAlignment.Fill
        
        ImageView 
        {
            imageSource: "asset:///images/sheet_background.jpg"
            verticalAlignment: VerticalAlignment.Fill
            horizontalAlignment: HorizontalAlignment.Fill
        }
        
        ListView {
            id: listView
            dataModel: _manage_template.model
            focusRetentionPolicyFlags: FocusRetentionPolicy.LoseToFocusable
            
            listItemComponents: [
                ListItemComponent {
                    type: "item"
                    StandardListItem {
                        title: ListItemData.title
                        description: ListItemData.description
                        status: ListItemData.status
                        imageSource: ListItemData.image
                        imageSpaceReserved: false                            
                    }
                }
            ] // listItem
            
            onTriggered: {
                clearSelection()
                _manage_template.viewItem(indexPath)
            }
            
            objectName: "itemList"
            leadingVisualSnapThreshold: 0.6            
        } // listview
    
    
    
    } // container
} // page
