import bb.cascades 1.0
import "Common"

Sheet
{

	Page {
	    id: sheetModify
	
	    
	    titleBar: TitleBar {
	        id: addBar
	        title: "Phone Settings"
	        visibility: ChromeVisibility.Visible
	        
	        dismissAction: ActionItem {
	            title: "Cancel"
	            onTriggered: {
	                _mainApp.cancelPhoneSettings()
	            }
	        }
	        
	        acceptAction: ActionItem {
	            title: "Save"
	            onTriggered: {
	                _mainApp.savePhoneSettings()
	            }
	            
	        }
	    }// titleBar
	    ScrollView {
	
	
		    Container
		    {
		        layout: DockLayout {
		        }
		        leftPadding: 10.0
		        topPadding: 10.0
		        rightPadding: 10.0
		        bottomPadding: 10.0
		        background: Color.Black
	
		        Container
		        {
			        layout: StackLayout {
			        }
		        
			        Container
			        {
			            Header {
                            title: "Incoming Call"
                   
                   		}
/*
 
				        Container
				        {
			                layout: DockLayout {
				            }

	                        Label {
			                    text: "Incoming Call"
			                    textStyle.fontSize: FontSize.Small
			                    textStyle.color: Color.White
	                            textStyle.fontWeight: FontWeight.Bold
	                        }
	                        ImageView {
	                            imageSource: "asset:///images/blue_bar.png"
                                verticalAlignment: VerticalAlignment.Bottom
                            }
	                    }

			            Label {
			                    text: "Assign Profile Ringtone"
//			                    textStyle.fontSize: FontSize.Small
                            textStyle.color: Color.White
                        }

		                Button {
		                    objectName: "defaultringtone"
		                    text: "Launch Settings Application..."
		                    horizontalAlignment: HorizontalAlignment.Fill
		                    imageSource: "asset:///images/ic_music_note.png"
		                    onClicked: {
		                        //invokesetting.trigger("bb.action.OPEN")
		                        _mainApp.run_settings()
		                    }
		                }
			            Label {
			                    text: "Note: Select above button, select Phone in the Notification/Alerts, select Tone popup, select Browse Music..., select Music, select Phone_Loud.mp3.  You will only need to do this once."
			                    textStyle.fontSize: FontSize.XSmall
	                            textStyle.color: Color.LightGray
                            multiline: true
                        }
*/
                        // not used
				        DropDown {
				            title: "Ring Tone"
				            objectName: "phoneringtone"
			                onSelectedIndexChanged: {
			                    if (selectedIndex > 0)
			                    {
			                        if (selectedValue == "custom")
			                            _mainApp.setRingtone();
			                        else
			                            _mainApp.delayPlaySound(selectedIndex, "phone", false);
			                        phoneringtone.setVisible(true);
			                    }
			                    else
			                        phoneringtone.setVisible(false);
			                }
                            visible: false
                            Option {
				                    text: "None"
				                    value: "1"
				                }
				            Option {
				                    text: "Airtel"
				                    value: "1"
				                }
				            Option {
				                    text: "Electronic"
				                    value: "1"
				                }
				            Option {
				                    text: "Instrumental"
				                    value: "1"
				                }
				            Option {
				                    text: "Office"
				                    value: "1"
				                }
				            Option {
				                    text: "Browse Music..."
				                    value: "custom"
				                }
				        }		
			            Label {
			                    id: phoneringtone
			                    text: "Note: Turn off Sound for Phone in Settings->Notifications"
			                    textStyle.fontSize: FontSize.XSmall
	                            textStyle.color: Color.LightGray
                            visible: false
                            enabled: false
                        }
		        
                        DropDown {
		                    horizontalAlignment: HorizontalAlignment.Fill
			                id: ledcolor
			                title: "Led Color"
				            objectName: "incomingcolor"
		                    onSelectedIndexChanged: {
		                        if (selectedIndex == 0)
		                            phoneled.setVisible(false);
		                        else
		                        {
		                            phoneled.setVisible(true);
    		                         _mainApp.test_phone_timer(selectedIndex);
    		                     }
		                        
		                    }
		                    Option {
				                    text: "None"
				                imageSource: "asset:///images/ic_led_none.png"
				            }
				            Option {
				                    text: "Blue"
				                imageSource: "asset:///images/ic_led_blue.png"
				                }
				            Option {
				                    text: "Cyan"
				                imageSource: "asset:///images/ic_led_cyan.png"
				                }
				            Option {
				                    text: "Green"
				                imageSource: "asset:///images/ic_led_green.png"
				                }
				            Option {
				                    text: "Magenta"
				                imageSource: "asset:///images/ic_led_magenta.png"
				                }
				            Option {
				                    text: "Red"
				                imageSource: "asset:///images/ic_led_red.png"
				                }
				            Option {
				                    text: "Yellow"
				                imageSource: "asset:///images/ic_led_yellow.png"
				                }
				            Option {
				                    text: "White"
				                imageSource: "asset:///images/ic_led_white.png"
				                }

			                // same coolor
				            Option {
				                    text: "Blue & Blue"
				                    imageSource: "asset:///images/ic_led_blue_blue.png"
				                }
				            Option {
				                    text: "Cyan & Cyan"
				                    imageSource: "asset:///images/ic_led_cyan_cyan.png"
				                }
				            Option {
				                    text: "Green & Green"
				                    imageSource: "asset:///images/ic_led_green_green.png"
				                }
				            Option {
				                    text: "Magenta & Magenta"
				                    imageSource: "asset:///images/ic_led_mag_mag.png"
				                }
				            Option {
				                    text: "Red & Red"
				                    imageSource: "asset:///images/ic_led_red_red.png"
				                }
				            Option {
				                    text: "Yellow & Yellow"
				                    imageSource: "asset:///images/ic_led_yellow_yellow.png"
				                }
				            Option {
				                    text: "White & White"
				                    imageSource: "asset:///images/ic_led_white_white.png"
				                }

                            // 2 color
				            Option {
				                    text: "Blue & Green"
				                    imageSource: "asset:///images/ic_led_blue_green.png"
				                }
				            Option {
				                    text: "Blue & Yellow"
				                    imageSource: "asset:///images/ic_led_blue_yellow.png"
				                }
				            Option {
				                    text: "Cyan & Magenta"
				                    imageSource: "asset:///images/ic_led_cyan_mag.png"
				                }
				            Option {
				                    text: "Green & Magenta"
				                    imageSource: "asset:///images/ic_led_green_mag.png"
				                }
				            Option {
				                    text: "Green & Red"
				                    imageSource: "asset:///images/ic_led_green_red.png"
				                }
				            Option {
				                    text: "Green & White"
				                    imageSource: "asset:///images/ic_led_green_white.png"
				                }
				            Option {
				                    text: "Green & Yellow"
				                    imageSource: "asset:///images/ic_led_green_yellow.png"
				                }
			
				            Option {
				                    text: "Magenta & Blue"
				                    imageSource: "asset:///images/ic_led_mag_blue.png"
				                }
				            Option {
				                    text: "Magenta & Yellow"
				                    imageSource: "asset:///images/ic_led_mag_yellow.png"
				                }
				                
				            Option {
				                    text: "Red & Blue"
				                    imageSource: "asset:///images/ic_led_red_blue.png"
				                }
				            Option {
				                    text: "Red & White"
				                    imageSource: "asset:///images/ic_led_red_white.png"
				                }
				            Option {
				                    text: "Red & Yellow"
				                    imageSource: "asset:///images/ic_led_red_yellow.png"
				                }

				            Option {
				                    text: "Rainbow"
				                imageSource: "asset:///images/ic_led_rainbow.png"
				                }
				        }
			        }
			        
		            Label {
		                    id: phoneled
		                    text: "Note: Turn off LED for Phone in Settings->Notifications"
		                    textStyle.fontSize: FontSize.XSmall
                            textStyle.color: Color.LightGray
                        enabled: false
                    }
			        DropDown {
		                    horizontalAlignment: HorizontalAlignment.Fill
			            id: phone_vibrate
			            title: "Vibrate"
			            objectName: "phonevibrate"
			            Option {
			                    text: "None"
			                }
			            Option {
			                    text: "1 Second"
			                }
			            Option {
			                    text: "2 Seconds"
			                }
			            Option {
			                    text: "3 Seconds"
			                }
			            Option {
			                    text: "4 Seconds"
			                }
			            Option {
			                    text: "5 Seconds"
			                }
			            Option {
			                    text: "6 Seconds"
			                }
			            Option {
			                    text: "7 Seconds"
			                }
			            Option {
			                    text: "8 Seconds"
			                }
			            Option {
			                    text: "9 Seconds"
			                }
			            Option {
			                    text: "10 Seconds"
			                }
			        }
		            Label {
		                    id: phonevibrate
		                    text: "Note: Turn off Vibrate for Phone in Settings->Notifications"
		                    textStyle.fontSize: FontSize.XSmall
                            textStyle.color: Color.LightGray
                        enabled: false
                    }

//		            Divider {
	//	            }

/*
			        Container
			        {
		                layout: DockLayout {
			            }

		                Label {
		                    id: missedcall_duration_label
		                    text: "Missed Incoming Call"
		                    textStyle.fontSize: FontSize.Small
		                    textStyle.color: Color.White
	                        textStyle.fontWeight: FontWeight.Bold
		                }
	                    ImageView {
	                        imageSource: "asset:///images/blue_bar.png"
                            verticalAlignment: VerticalAlignment.Bottom
                        }
	                }
*/
					Header {
                        title: "Missed Incoming Call"
         
         			}
			        DropDown {
		                    horizontalAlignment: HorizontalAlignment.Fill
		                id: missedcall
		                title: "Led Color"
			            objectName: "missedcallcolor"
	                    onSelectedIndexChanged: {
	                        if (selectedIndex == 0)
	                        {
	                            missedcall_duration.setVisible(false);
	                            turnoff_missedcall_led.setVisible(false);
	                            missedcall_read.setVisible(false);
	                            missedcall_tone.setVisible(false)
	                            missedcalltone_duration.setVisible(false)
	                        }
	                        else
	                        {
	                            missedcall_duration.setVisible(true);
	                            _mainApp.test_phone_timer(selectedIndex);	                        
	                            turnoff_missedcall_led.setVisible(true);
	                            missedcall_read.setVisible(true);
	                            missedcall_tone.setVisible(true)
	                        }
	                    }
	                    Option {
			                    text: "None"
			                imageSource: "asset:///images/ic_led_none.png"
			            }
			            Option {
			                    text: "Blue"
			                imageSource: "asset:///images/ic_led_blue.png"
			                }
			            Option {
			                    text: "Cyan"
			                imageSource: "asset:///images/ic_led_cyan.png"
			                }
			            Option {
			                    text: "Green"
			                imageSource: "asset:///images/ic_led_green.png"
			                }
			            Option {
			                    text: "Magenta"
			                imageSource: "asset:///images/ic_led_magenta.png"
			                }
			            Option {
			                    text: "Red"
			                imageSource: "asset:///images/ic_led_red.png"
			                }
			            Option {
			                    text: "Yellow"
			                imageSource: "asset:///images/ic_led_yellow.png"
			                }
			            Option {
			                    text: "White"
			                imageSource: "asset:///images/ic_led_white.png"
			                }
			                
		                // same coolor
			            Option {
			                    text: "Blue & Blue"
			                    imageSource: "asset:///images/ic_led_blue_blue.png"
			                }
			            Option {
			                    text: "Cyan & Cyan"
			                    imageSource: "asset:///images/ic_led_cyan_cyan.png"
			                }
			            Option {
			                    text: "Green & Green"
			                    imageSource: "asset:///images/ic_led_green_green.png"
			                }
			            Option {
			                    text: "Magenta & Magenta"
			                    imageSource: "asset:///images/ic_led_mag_mag.png"
			                }
			            Option {
			                    text: "Red & Red"
			                    imageSource: "asset:///images/ic_led_red_red.png"
			                }
			            Option {
			                    text: "Yellow & Yellow"
			                    imageSource: "asset:///images/ic_led_yellow_yellow.png"
			                }
			            Option {
			                    text: "White & White"
			                    imageSource: "asset:///images/ic_led_white_white.png"
			                }

			            // 2 colors
        	            Option {
			                    text: "Blue & Green"
			                    imageSource: "asset:///images/ic_led_blue_green.png"
			                }
			            Option {
			                    text: "Blue & Yellow"
			                    imageSource: "asset:///images/ic_led_blue_yellow.png"
			                }
			            Option {
			                    text: "Cyan & Magenta"
			                    imageSource: "asset:///images/ic_led_cyan_mag.png"
			                }
			            Option {
			                    text: "Green & Magenta"
			                    imageSource: "asset:///images/ic_led_green_mag.png"
			                }
			            Option {
			                    text: "Green & Red"
			                    imageSource: "asset:///images/ic_led_green_red.png"
			                }
			            Option {
			                    text: "Green & White"
			                    imageSource: "asset:///images/ic_led_green_white.png"
			                }
			            Option {
			                    text: "Green & Yellow"
			                    imageSource: "asset:///images/ic_led_green_yellow.png"
			                }

			            Option {
			                    text: "Magenta & Blue"
			                    imageSource: "asset:///images/ic_led_mag_blue.png"
			                }
			            Option {
			                    text: "Magenta & Yellow"
			                    imageSource: "asset:///images/ic_led_mag_yellow.png"
			                }
			                
			            Option {
			                    text: "Red & Blue"
			                    imageSource: "asset:///images/ic_led_red_blue.png"
			                }
			            Option {
			                    text: "Red & White"
			                    imageSource: "asset:///images/ic_led_red_white.png"
			                }
			            Option {
			                    text: "Red & Yellow"
			                    imageSource: "asset:///images/ic_led_red_yellow.png"
			                }
			                
			                
			                
			        }
		
			        DropDown {
		                    horizontalAlignment: HorizontalAlignment.Fill
			            id: missedcall_duration
			            title: "Blink Duration"
			            objectName: "missedcallduration"
			            Option {
			                    text: "Forever"
			                }
			            Option {
			                    text: "10 Times"
			                }
			            Option {
			                    text: "50 Times"
			                }
			            Option {
			                    text: "100 Times"
			                }
			            Option {
			                    text: "500 Times"
			                }
			            Option {
			                    text: "1,000 Times"
			                }
			            Option {
			                    text: "5,000 Times"
			                }
			            Option {
			                    text: "10,000 Times"
			                }
			        }

			        DropDown {
		                    horizontalAlignment: HorizontalAlignment.Fill
			            id: missedcall_tone
			            title: "Tone"
			            objectName: "missedcall_ringtone"
		                onSelectedIndexChanged: {
		                    if (selectedIndex > 0)
		                    {
		                        missedcalltone_duration.setVisible(true)
		                        if (selectedValue == "custom")
		                            _mainApp.setRingtone(2);
		                        else
		                            _mainApp.delayPlaySound(selectedIndex, "missedcall", false);
		                    }
		                    else
		                        missedcalltone_duration.setVisible(false)
		                }
                        visible: false
                        Option {
			                    text: "None"
			                    value: "1"
			                }
			            Option {
			                    text: "Bling"
			                    value: "1"
			                }
			            Option {
			                    text: "Ding"
			                    value: "1"
			                }
			            Option {
			                    text: "Eager"
			                    value: "1"
			                }
			            Option {
			                    text: "Echo"
			                    value: "1"
			                }
			            Option {
			                    text: "Horn"
			                    value: "1"
			                }
			            Option {
			                    text: "Message"
			                    value: "1"
			                }
			            Option {
			                    text: "Nexun"
			                    value: "1"
			                }
			            Option {
			                    text: "Ping"
			                    value: "1"
			                }
			            Option {
			                    text: "Pop"
			                    value: "1"
			                }
			            Option {
			                    text: "Browse Music..."
			                    value: "custom"
			                }
			        }		
			        DropDown {
		                    horizontalAlignment: HorizontalAlignment.Fill
			            id: missedcalltone_duration
			            title: "Tone Repeat"
			            objectName: "missedcall_tone_duration"
                        visible: false
                        Option {
			                    text: "No Repeat"
			                }
                        Option {
			                    text: "Every 10 Seconds"
			                }
			            Option {
			                    text: "Every 20 Seconds"
			                }
			            Option {
			                    text: "Every 30 Seconds"
			                }
			            Option {
			                    text: "Every Minute"
			                }
			            Option {
			                    text: "Every 2 Minutes"
			                }
			            Option {
			                    text: "Every 3 Minutes"
			                }
			            Option {
			                    text: "Every 4 Minutes"
			                }
			            Option {
			                    text: "Every 5 Minutes"
			                }
			        }


	                Label {
	                    id: missedcall_read
	                    text: "When a Message is Read or Deleted"
	                    textStyle.color: Color.White
                        textStyle.fontWeight: FontWeight.Bold
	                }
			        Container
			        {
			            id: turnoff_missedcall_led
		                layout: DockLayout {
			            }
	                    horizontalAlignment: HorizontalAlignment.Fill
	                    Label {
	                        text: "Turn Off Missed Call Led"
	                        textStyle.color: Color.White
	                        horizontalAlignment: HorizontalAlignment.Left
	                    }
	                    ToggleButton {
	                        objectName: "turnoffmissedcallled"
	                        horizontalAlignment: HorizontalAlignment.Right
	                        }
	                }


//		            Divider {
	//	            }
/*
			        Container
			        {
		                layout: DockLayout {
			            }

		                Label {
		                    text: "Cellular Network Strength"
		                    textStyle.fontSize: FontSize.Small
		                    textStyle.color: Color.White
	                        textStyle.fontWeight: FontWeight.Bold
		                }
	                    ImageView {
	                        imageSource: "asset:///images/blue_bar.png"
                            verticalAlignment: VerticalAlignment.Bottom
                        }
	                }
*/
					Header {
                        title: "Cellular Network Strength"
         
         		     }
	                DropDown {
		                    horizontalAlignment: HorizontalAlignment.Fill
		                id: cellnetworkcolor_on
		                title: "Signal"
			            objectName: "cellnetworkcolor_on"
	                    onSelectedIndexChanged: {
	                         _mainApp.test_phone_timer(selectedIndex);
	                        
	                    }
			            Option {
			                    text: "None"
			                imageSource: "asset:///images/ic_led_none.png"
			            }
			            Option {
			                    text: "Blue"
			                imageSource: "asset:///images/ic_led_blue.png"
			                }
			            Option {
			                    text: "Cyan"
			                imageSource: "asset:///images/ic_led_cyan.png"
			                }
			            Option {
			                    text: "Green"
			                imageSource: "asset:///images/ic_led_green.png"
			                }
			            Option {
			                    text: "Magenta"
			                imageSource: "asset:///images/ic_led_magenta.png"
			                }
			            Option {
			                    text: "Red"
			                imageSource: "asset:///images/ic_led_red.png"
			                }
			            Option {
			                    text: "Yellow"
			                imageSource: "asset:///images/ic_led_yellow.png"
			                }
			            Option {
			                    text: "White"
			                imageSource: "asset:///images/ic_led_white.png"
			                }
			        }

	                DropDown {
		                    horizontalAlignment: HorizontalAlignment.Fill
		                id: cellnetworkcolor
		                title: "No Signal"
			            objectName: "cellnetworkcolor"
	                    onSelectedIndexChanged: {
	                         _mainApp.test_phone_timer(selectedIndex);
	                        
	                    }
			            Option {
			                    text: "None"
			                imageSource: "asset:///images/ic_led_none.png"
			            }
			            Option {
			                    text: "Blue"
			                imageSource: "asset:///images/ic_led_blue.png"
			                }
			            Option {
			                    text: "Cyan"
			                imageSource: "asset:///images/ic_led_cyan.png"
			                }
			            Option {
			                    text: "Green"
			                imageSource: "asset:///images/ic_led_green.png"
			                }
			            Option {
			                    text: "Magenta"
			                imageSource: "asset:///images/ic_led_magenta.png"
			                }
			            Option {
			                    text: "Red"
			                imageSource: "asset:///images/ic_led_red.png"
			                }
			            Option {
			                    text: "Yellow"
			                imageSource: "asset:///images/ic_led_yellow.png"
			                }
			            Option {
			                    text: "White"
			                imageSource: "asset:///images/ic_led_white.png"
			                }
			        }
                    Label {
                        text: "It may take up to one minute to turn on or off the LED."
                        multiline: true
                        textStyle.fontStyle: FontStyle.Italic
                        textStyle.fontSize: FontSize.Small
                    }


			    } // first container



            }
        }
	
    }


}
