import bb.cascades 1.0
//import bb.cascades.pickers 1.0
import "Common"

Sheet
{

	Page {
	    id: sheetModify
	
	    
	    titleBar: TitleBar {
	        id: addBar
	        title: "Settings"
	        visibility: ChromeVisibility.Visible
	        
	        dismissAction: ActionItem {
	            title: "Cancel"
	            onTriggered: {
	                _mainApp.cancelSettings()
	            }
	        }
	        
	        acceptAction: ActionItem {
	            title: "Save"
	            onTriggered: {
	                _mainApp.saveSettings()
	            }
	        }
	    }// titleBar
	    ScrollView {
	
	
		    Container
		    {
                layout: StackLayout {
                }
		        leftPadding: 10.0
		        topPadding: 10.0
		        rightPadding: 10.0
		        bottomPadding: 10.0
	
				Header {
        			title: "Options"
        		}
		        Container
		        {
		        	topPadding: 10
                    layout: DockLayout {
                    }
                    horizontalAlignment: HorizontalAlignment.Fill
                    Label {
                        text: "Format phone number"
                        horizontalAlignment: HorizontalAlignment.Left
                    }
                    ToggleButton {
                        id: sound_tb
                        objectName: "tb_format_phone"
                        horizontalAlignment: HorizontalAlignment.Right
                    }
				}
		        Label {
              		text: "Format phone number to North America eg: 555-123-4567"
                    multiline: true
                    textStyle.fontSize: FontSize.Small
                }

	        }       
		} // scrollview
	
	

	} // page

}
