import bb.cascades 1.2

Page {
    titleBar: TitleBar {
        title: "Location Help"
    
    }
    ScrollView {
        
        Container {
            leftPadding: 10
            rightPadding: 10
            Container {
                Label {
                    textFormat: TextFormat.Html
                    text: "A Location is definded with a GPS coordinate and a Radius.  Each Location is unique.  When you enter or leave a location GeoToolBox will apply the Actions that you have defined."
                    multiline: true                    
                }
            }
            
            Container {
                Label {
                    textFormat: TextFormat.Html
                    text: "\nTo setup a new Location select the <b>New</b> button on the main screen.  There are three tab screens."
                    multiline: true
                }
            }
            
            Container {
                Label {
                    textFormat: TextFormat.Html
                    text: "\n<b>Geneal</b>\n\nThe General tab screen allows to you enter general information for the Location such as Disabling the Location, Name, GPS Coordinate, Radius and Vibrate when triggered."
                    multiline: true
                }
            }
            
            Container {
                Label {
                    textFormat: TextFormat.Html
                    text: "\n<b>Actions</b>\n\nThe Action tab is where you define what to do when you enter or leave the location.  In the Action screen touch the <b>Arrow</b> icon to expand the Actions.  You do not have to set all the actions.  Just set the ones you want to apply.  The Sound Notification, Send Email and Send SMS drop down list is popluated with the Template items."
                    multiline: true
                }
            }

            Container {
                Label {
                    textFormat: TextFormat.Html
                    text: "\n<b>Map</b>\n\nThe Map tab you can interactively select a location.  You will see the blue circle.  This is the Radius that encompass the location.  When you are within the Radius GeoToolBox will apply the <b>At Location Actions</b>.  When you leave the location GeoToolBox will apply the <b>Left Location Actions</b>."
                    multiline: true
                }
                Label {
                    textFormat: TextFormat.Html
                    text: "\nYou can use the Slider to adjust the Radius.  The maximium radius is 3000 meters which is 3km or 1.8 miles.  If you do not know the location on the map then you can select the <b>Search</b> icon on top of the right screen.\n\nTo zoom in and out of the map pinch the map."
                    multiline: true
                }
            }

            Container {
                Label {
                    textFormat: TextFormat.Html
                    text: "\n<b>Reminder Note</b>\n\nIf you have something that is important to do or see at the location you can enter a reminder note.  When you entered the location GeoToolBox will send a message to the Hub.  You can then read the message."
                    multiline: true
                }
            }

            Container {
                Label {
                    textFormat: TextFormat.Html
                    text: "\n<b>Wifi</b>\n\nYou can set to automatically turn on Wifi when you enter or leave a location but you can not automatically turn Wifi off.  BlackBerry still have NOT allow developers to turn off Wifi.  The best workaround GeoToolBox can do is to remind you to turn off Wifi with a Hub message."
                    multiline: true
                }
            }

            Container {
                Label {
                    textFormat: TextFormat.Html
                    text: "\n<b>Calendar</b>\n\nAn Calendar event can be created in the Calendar application when you leave a location.  You have the options to save to a different Calendar if you have multiple Calendars installed and set the Busy Flag.  The duration time that you have spent in the location will be saved in the Notes field.\n\nThe save to Calendar feature is useful if you want to keep track of where you have been daily and is useful for billing information."
                    multiline: true
                }
            }
            
            Divider {
            
            }

            
            Container {
                Label {
                    textFormat: TextFormat.Html
                    text: "When you name your location it must be unique."
                    multiline: true
                }
            }
        
        
        
        }
    }
}
