import bb.cascades 1.2

Page {
    titleBar: TitleBar {
        title: "Permissions"
    
    }
    ScrollView {
        
        Container {
            leftPadding: 10
            rightPadding: 10
            Container {
                Label {
                    textFormat: TextFormat.Html
                    text: "Most of the permissions are optional.  You can deny each permission.  When the permission is denied GeoToolBox will not be able to complete that function."
                    multiline: true                    
                }
            }
            
            Container {
                Label {
                    textFormat: TextFormat.Html
                    text: "\n<b>Location</b>\n\nAllows GeoToolBox to access the current and saved locations. It is required."
                    multiline: true
                    textStyle.color: Color.Green
                }
            }

            Container {
                Label {
                    textFormat: TextFormat.Html
                    text: "\n<b>Shared Files</b>\n\nAllows GeoToolBox to access Pictures for setting Wallpaper and to save the applications database and backups.  This is required."
                    multiline: true
                    textStyle.color: Color.Green
                }
            }

            Container {
                Label {
                    textFormat: TextFormat.Html
                    text: "\n<b>Notification Control</b>\n\nAllows GeoToolBox to change the Sound Notification Mode like Silent, Vibrate etc...  It is optional."
                    multiline: true
                }
            }

            Container {
                Label {
                    textFormat: TextFormat.Html
                    text: "\n<b>Contacts</b>\n\nAllows GeoToolBox to access the Contacts database.  This is for lookup when configuring your Location to send email or text message.  This is optional."
                    multiline: true
                }
            }

            Container {
                Label {
                    textFormat: TextFormat.Html
                    text: "\n<b>Calendar</b>\n\nAllows GeoToolBox to access the Calendar database.  This is to save calendar event to the Calendar.  This is optional."
                    multiline: true
                }
            }
        
            Container {
                Label {
                    textFormat: TextFormat.Html
                    text: "\n<b>Email and Text Messages</b>\n\nAllows GeoToolBox to send email and text message. This is optional."
                    multiline: true
                }
            }
        
            Container {
                Label {
                    textFormat: TextFormat.Html
                    text: "\n<b>Connect to BBM</b>\n\nAllows GeoToolBox to connect to BBM for inviting others to download GeoToolBox.  This is optional."
                    multiline: true
                }
            }
        
        }
    }
}
