import bb.cascades 1.2

Page {
    titleBar: TitleBar {
        title: "What are Templates?"
    
    }
    ScrollView {
        
        Container {
            leftPadding: 10
            rightPadding: 10
            Container {
                Label {
                    textFormat: TextFormat.Html
                    text: "Templates are predefined items.  Templates are used in conjuction with a Location.  There are three types of Templates that you can define items:"
                    multiline: true                    
                }
            }
            
            Container {
                Label {
                    textFormat: TextFormat.Html
                    text: "\n<b>Email Templates</b>\n\nIn a Email Template you define the TO and CC recipients, Subject, Body and Attachment."
                    multiline: true
                }
            }

            Container {
                Label {
                    textFormat: TextFormat.Html
                    text: "\n<b>SMS Templates</b>\n\nIn a SMS Template you define the recipient's phone number and the Body message."
                    multiline: true
                }
            }

            Container {
                Label {
                    textFormat: TextFormat.Html
                    text: "\n<b>Sound Notification</b>\n\nIn a Sound Notification Template you define the Mode, LED, Sound, Vibrate and Volumes."
                    multiline: true
                }
            }
            
            Divider {
                
            }

            Container {
                Label {
                    textFormat: TextFormat.Html
                    text: "Items must be added to each Template in order for you to choose in the Location setup.  If you do not intend to send SMS, send Email or change Sound Notification then you do not need to add any items. "
                    multiline: true
                }
            }



        }
    }
}
